

import ch.usi.dag.disl.annotation.ArgumentProcessor;
import ch.usi.dag.disl.processorcontext.ArgumentContext;
import ch.usi.dag.disl.staticcontext.MethodStaticContext;

@ArgumentProcessor
public class ArgProcExample {

	public static void intPM(int c, ArgumentContext ac, MethodStaticContext msc) {

		// print a value of an integer argument
		System.out.println(
				"Instrumentation: Value of an int argument in method " + 
				msc.thisMethodFullName() +
				" at position " + ac.getPosition() +
				" out of " + ac.getTotalCount()
				+ " is " + c);
	}
}
